Update Metafield
Updates a Metafield object.
The maximum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
order_id
The ID of the Order to which the transactions belong.
metafield_id
The ID of the Metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
A Metafield object.
key
The name of the field, for example: location_id, color.
namespace
Namespace for the metafield, for organizational purposes.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
value
The value of the field, for example: 1, blue.
description
Description for the metafields.
Response
A metafield and metadata.
data
Allows app partners to write custom data to various resources in the API.
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error